Supporta il tuo Forum su Patreon!
 
  > Register  
  > Calendar  
  > Members List  
 
  > Supporta il Forum  
  > Today's Posts  
   

Go Back   netgamers.it > Tech & Tech > GNU/Linux

Reply
 
Thread Tools Rate Thread
Old 18th March 2013, 12:15   #1
>>>Gionni>>>
io c'ero
 
>>>Gionni>>>'s Avatar
 
Join Date: Feb 2008
Location: Zena
Posts: 5,529
Driver ati su ubuntu 12.10?

sono un neofita e devo ancora capire un bel pò di cose...
ho abbandonato win7 per passare a ubuntu, formattone totale, installazione, avvio...

come prima cosa, ovviamente, faccio fuori unity per mettere gnome, mi installo i programmini che mi servono e bon, chiudo...

ora tutte le volte che accendo il pc mi compare il messaggio che ubuntu sta girando in low graphic mode


che devo fare?
ho una ati radeon hd 5145, ma se dal sito scarico i driver per la 5xxx mi dice che non è compatibile
se scarico quelli per le 4xxx installa tutto ma se ne esce con degli errori...

(il mio pc è questo http://www.asus.com/Notebooks_Ultrab...specifications)
__________________
Money does not buy happiness, but it pays my internet, which is almost the same thing.

Last edited by >>>Gionni>>>; 18th March 2013 at 12:18.
>>>Gionni>>> is offline   Reply With Quote
Old 20th March 2013, 15:24   #2
rebel.yell
buono no?
 
rebel.yell's Avatar
 
Join Date: Feb 2000
Posts: 2,827
la 5145 è una serie 4000 rimarchiata. Devi mettere necessariamente i legacy.
Il server xorg deve essere versione 1.12 o inferiore. Nel mio caso con 1.12 ho schermata nera e cazzo in culo, quindi ho dovuto necessariamente downgradare a 1.11. Uso arch però.
__________________
.
rebel.yell is offline   Reply With Quote
Old 20th March 2013, 16:27   #3
>>>Gionni>>>
io c'ero
 
>>>Gionni>>>'s Avatar
 
Join Date: Feb 2008
Location: Zena
Posts: 5,529
grazie della risposta ma...
Quote:
Originally Posted by >>>Gionni>>> View Post
sono un neofita e devo ancora capire un bel pò di cose...


quindi in pratica che dovrei fare?
__________________
Money does not buy happiness, but it pays my internet, which is almost the same thing.
>>>Gionni>>> is offline   Reply With Quote
Old 20th March 2013, 19:41   #4
rebel.yell
buono no?
 
rebel.yell's Avatar
 
Join Date: Feb 2000
Posts: 2,827
dipende da quanto tempo e voglia hai.
Se ubuntu è solo uno sfizio, toglitelo dalle palle e torna a windows.
Se invece ci credi veramente, inizia a leggere e martellare i forum. Oppure, cambia laptop. AMD è il male assoluto, soprattutto per il supporto ai chipset legacy. Non è linux il problema, è AMD.

comunque, non conosco ubuntu cosa combina: non so che driver mette (se i 12.6 o i 13.1 o più vecchi).
Potresti iniziare a postare gli errori che ti danno i driver legacy. Hai usato interfaccia grafica per installare i driver proprietari?
__________________
.
rebel.yell is offline   Reply With Quote
Old 21st March 2013, 14:56   #5
>>>Gionni>>>
io c'ero
 
>>>Gionni>>>'s Avatar
 
Join Date: Feb 2008
Location: Zena
Posts: 5,529
ho provato sia da synaptic (nessun cambiamento) sia tramite il .run scaricato dal sito di amd...
nel secondo caso l'installazione parte e sembra funzionare, ma poi alla fine dice che ci sono stati degli errori.

ora non posso, stasera riprovo e posto il risultato
__________________
Money does not buy happiness, but it pays my internet, which is almost the same thing.
>>>Gionni>>> is offline   Reply With Quote
Old 24th March 2013, 23:09   #6
>>>Gionni>>>
io c'ero
 
>>>Gionni>>>'s Avatar
 
Join Date: Feb 2008
Location: Zena
Posts: 5,529
ecco, sono stato qualche giorno senza pc...

Code:
Check if system has the tools required for installation.
Uninstalling any previously installed drivers.
Unloading radeon module...
ERROR: Module radeon is in use
Unloading drm module...
ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.5.0-26-generic/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: ingresso nella directory "/usr/src/linux-headers-3.5.0-26-generic"
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_MEM_AllocLinearAddrInterval’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2152:5: error: implicit declaration of function ‘do_mmap’ [-Werror=implicit-function-declaration]
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2152:13: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
cc1: some warnings being treated as errors
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Errore 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Errore 2
make[1]: uscita dalla directory "/usr/src/linux-headers-3.5.0-26-generic"
make: *** [kmod_build] Errore 2
build failed with return value 2
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
[Reboot] Kernel Module : update-initramfs
per me è arabo
__________________
Money does not buy happiness, but it pays my internet, which is almost the same thing.
>>>Gionni>>> is offline   Reply With Quote
Old 25th March 2013, 00:10   #7
rebel.yell
buono no?
 
rebel.yell's Avatar
 
Join Date: Feb 2000
Posts: 2,827
da quello che so:
* il server xorg deve essere portato da 1.13 (versione di ubuntu 12.10) a xorg 1.12
* installare manualmente driver legacy 13.1
ubuntu tenta di installare i 12.6, credo, che non vanno bene con xorg 1.13 (ma anche i 13.1 legacy non vanno) e non vanno bene con i kernel 3.5 e superiori. Per questo tutti quei casini.

quello che puoi fare:
* usare ubuntu 12.04 e installare manualmente i 13.1 legacy
* provare con questi repository non ufficiali [link] che dovrebbero eseguire un downgrade di xorg a 1.12 e installare i driver legacy 12.6 con patch per kernel 3.5
* passare ad archlinux
__________________
.
rebel.yell is offline   Reply With Quote
Reply

Thread Tools
Rate This Thread
Rate This Thread:

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 03:28.



Copyright 2017-2024 by netgamers.it